Subject: Re: [Hipsec] draft-ietf-hip-dex-24 need multiple changes

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 2 Aug 2021 13:00:46 +0000

The IETF-111 week is over and I saw neither a revised DEX I-D nor a reply to the email thread below.

In the coming hours, as the responsible AD for HIP, I am declaring HIP-DEX dead and requesting the closing of HIP WG as all milestones have been completed.

Regards

-éric

From: Eric Vyncke <[email-masked]>
Date: Tuesday, 27 July 2021 at 01:19
To: Gonzalo Camarillo <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Miika Komu <[email-masked]>, "[email-masked]" <[email-masked]>, Terry Manderson <[email-masked]>
Subject: Re: draft-ietf-hip-dex-24 need multiple changes

Gonzalo,

This is indeed the plan: in the absence of acting (and not writing a plan) with a revised I-D: declare HIP-DEX dead and close the HIP WG as all items on the charter that could be done have been done

Regards,

-éric

From: Gonzalo Camarillo <[email-masked]>
Date: Monday, 26 July 2021 at 10:21
To: Eric Vyncke <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Miika Komu <[email-masked]>, "[email-masked]" <[email-masked]>, Terry Manderson <[email-masked]>
Subject: RE: draft-ietf-hip-dex-24 need multiple changes

Hi Eric,

so far, the authors have not addressed the points you identified (see below). In addition, they have let the draft expire (3 days ago) :
https://datatracker.ietf.org/doc/draft-ietf-hip-dex/

So, I assume unless the authors take care of all this during the week (you gave them the *end* of IETF 111 as the deadline), you intend to declare this expired-draft dead and close the HIP Working Group, right? Please, let me know if you need anything else from me at this point. Thanks.

Cheers,

Gonzalo

From: Eric Vyncke (evyncke) <[email-masked]>
Sent: Friday, July 16, 2021 17:50
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; Miika Komu <[email-masked]>; [email-masked]; Terry Manderson <[email-masked]>
Subject: Re: draft-ietf-hip-dex-24 need multiple changes

Dear DEX authors, dear HIP WG members,

It is nearly 4 months since I sent the email below. I also sent a reminder on the 26th of June https://mailarchive.ietf.org/arch/msg/hipsec/FkZLcSN1trbRqwq02LrefhPpnuw/ still waiting for one author’s reply.

Without a plan and a commitment by the authors (or the WG) to work on HIP-DEX to address all points (in addition to go to ‘experimental’) before the end of IETF-111, I am afraid that, as the responsible AD, I will have no choice but declaring this I-D ‘dead’, i.e., no work will be done any more on it. BTW, with the increase of CPU power in constrained networks/devices, we can also wonder whether DEX is still required as BEX could possibly be used in this context.

Looking forward to reading authors’ plan and commitment,

Regards

-éric

From: Eric Vyncke <[email-masked]<mailto:[email-masked]>>
Date: Thursday, 25 March 2021 at 17:46
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Terry Manderson <[email-masked]<mailto:[email-masked]>>
Subject: draft-ietf-hip-dex-24 need multiple changes
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Eric Vyncke <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Gonzalo Camarillo <[email-masked]<mailto:[email-masked]>>
Resent-Date: Thursday, 25 March 2021 at 17:46

Bob, René, Miika, dear HIP WG members,

The HIP-DEX went through a third (!) IESG evaluation this Thursday and it was not approved.

The document clearly needs to change its intended status to experimental from standard track. This will clear some DISCUSS points but not all: many of them will still need to be addressed (notably the crypto-related ones).

The point about ‘is it really required to drop security from HIP-BEX ?’ was also raised by several ADs. In short, the usefulness of HIP-DEX is clearly questioned. This could be addressed by either declaring this document ‘dead’ (won’t be published) or providing actual performance numbers on real implementation on recent CPU (hint such as those used in drones).

As you will see, I am sending this hip-dex document back to the HIP WG to fix the above points (another IETF Last Call will be required once the changes are written). I am also taking actions to release the NAT traversal and the 4423-bis documents waiting in the RFC Editor queue.

Can we get from the authors an estimation of the resolution of all above points ? (including the actual performance numbers)

Sorry for bringing bad news...

Regards

-éric